Bug 115379 - should update collection on start up
Summary: should update collection on start up
Status: RESOLVED WORKSFORME
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 1.3.5
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-30 16:28 UTC by Adeodato Simó
Modified: 2006-06-11 12:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adeodato Simó 2005-10-30 16:28:54 UTC
This is Debian Bug#330017 (http://bugs.debian.org/330017), reported by rich 
lott <rl3@shinyblue.net>. 
 
-------------------------------------8<--------------------------------------- 
If you've updated your collection by adding files / folders while amarok 
is not running, it takes a couple of mins for amarok to realise, once 
you've stared it up. I don't konw what the trigger is for it to do this 
(FAMD?), but anyway, quite often I rip a cd, start amarok and have to 
wait until it updates before listening to it and it's anoying. 
 
( 
        I know there's the rebuild collection thing, but that seems different 
        to the update collection thing, the first takes forever (big 
collection) 
) 
 
just a suggestion! Keep up the good work on an excellent player! 
------------------------------------->8--------------------------------------- 
 
I agree that having an action in the menu "Update collection", different than 
"Re-scan collection", and/or an option to run it on startup, would be nice. 
However, I realize this may not be possible at all if amarok relies on some 
notifier to determine what directories changed, and can't figure it all by 
itself. 
 
In either case, I'll forward the original submitter whatever explanations you 
provide. 
 
Thanks.
Comment 1 Ian Monroe 2005-10-30 18:23:59 UTC
It checks the modified dates of the watched directories every couple of minutes.

I don't know if there's a reason why it doesn't do what we call the incremental scan on startup.
Comment 2 Seb Ruiz 2005-10-30 23:29:08 UTC
I would say we don't need it, because it would add to the overall startup 
times, and the user only needs to wait 5 minutes maximum for the scan.

On Monday 31 October 2005 04:24, Ian Monroe wrote:
[bugs.kde.org quoted mail]
Comment 3 Rich Lott 2005-10-31 13:00:20 UTC
5 minutes? Thanks, but I'll use XMMS. Or a CD player. 

C'mon, this is important, if amarok is anything it's something that saves loads of time by doing stuff instantly that would otherwise take you a while (eg. playlists, showing you your newest tracks - or even just the basic concept of not having to change CDs/tapes/records to listen to the next song).

Look at it this way: you rip a cd because you want to listen to it. Because of that you start amarok. You then need to wait 5 minutes? If the "bug" report had been "amarok takes up to 5 minutes to start up" it would be considered a serious flaw, but this is in effect what it means.

I need it more than I need it to fetch album covers from amazon which are removed again 30 days later.

:)
Comment 4 Arek Robiński 2005-11-07 20:58:16 UTC
IMO the best solution to this problem would be simply adding a new item "Update collection" to the menu.
Comment 5 Mark Kretschmann 2005-11-07 21:54:21 UTC
Guys, I really don't get what this report is about. The collection update check is executed exactly one minute after startup. Is that a problem, waiting one minute?
Comment 6 Adeodato Simó 2006-01-18 01:39:06 UTC
(I respect the decision to close the bug, but personally I feel that one being able to, after adding some files to /mnt/mp3, hit a button and have them instantly appear in the Collection, as opposed that idling 60 seconds over one's thumbs waiting for amaroK to pick them, is a more pleasant user experience.)
Comment 7 Jeff Mitchell 2006-01-18 19:17:12 UTC
I can see a point here.  Now that the collection scanner has been redone and is faster, I've set it to run scanModifiedDirs() on startup *iff* it does not start a  scan for some other reason (collection is empty, directories to scan have changed).  If nothing has been modified in the directories, it should quit without having taken too much time; otherwise it will read in the new tracks.

I think this makes sense, but if people are complaining that it takes too much time to start up now, I'll remove this, and you'll have to wait the 60 seconds.

(Note:  this will be in amarok SVN, and may or may not be backported to the next 1.3.x release...otherwise it will show up in the 1.4 release.)
Comment 8 Mark Kretschmann 2006-01-18 21:30:48 UTC
Jeff has just fixed this:

"Make incremental scanner run on startup if a normal startScan hasn't been run. Shouldn't really affect startup time if 
nothing's changed (doesn't on my box), but will make changes to these directories get caught faster."
Comment 9 Adeodato Simó 2006-02-19 17:21:43 UTC
(For the record, this was r499792.)